=== src/designer/src/designer/doc/snippets/autoconnection/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(autoconnection LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)

qt_add_executable(autoconnection
                  imagedialog.cpp  imagedialog.h  imagedialog.ui  main.cpp)

set_target_properties(autoconnection PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(autoconnection  PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
)
